Bug 864814 (CVE-2013-6399)

Summary: VUL-0: CVE-2013-6399: qemu: virtio: buffer overrun on incoming migration
Product: [Novell Products] SUSE Security Incidents Reporter: Victor Pereira <vpereira>
Component: IncidentsAssignee: Andreas Färber <afaerber>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: abergmann, jsegitz, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/96374/
Whiteboard: maint:running:57292:moderate maint:released:sle11-sp3:57584 CVSSv2:NVD:CVE-2013-6399:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv2:RedHat:CVE-2013-6399:3.7:(AV:L/AC:H/Au:N/C:P/I:P/A:P)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Victor Pereira 2014-02-20 09:08:05 UTC
CVE-2013-6399

vdev->queue_sel is read from the wire, and later used in the emulation
code as an index into vdev->vq[]. If the value of vdev->queue_sel exceeds
the length of vdev->vq[], currently allocated to be VIRTIO_PCI_QUEUE_MAX
elements, subsequent PIO operations such as VIRTIO_PCI_QUEUE_PFN can be
used to overrun the buffer with arbitrary data.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2013-6399
https://bugzilla.redhat.com/show_bug.cgi?id=1066361
Comment 1 Swamp Workflow Management 2014-02-20 23:01:06 UTC
bugbot adjusting priority
Comment 3 Bernhard Wiedemann 2014-05-24 13:01:52 UTC
This is an autogenerated message for OBS integration:
This bug (864814) was mentioned in
https://build.opensuse.org/request/show/235281 Factory / qemu
Comment 4 Swamp Workflow Management 2014-06-18 13:49:24 UTC
Update released for: kvm, kvm-debuginfo, kvm-debugsource
Products:
SLE-DESKTOP 11-SP3 (i386, x86_64)
SLE-SERVER 11-SP3 (i386, s390x, x86_64)
Comment 5 Swamp Workflow Management 2014-06-18 17:07:26 UTC
SUSE-SU-2014:0816-1: An update that solves two vulnerabilities and has 20 fixes is now available.

Category: security (moderate)
Bug References: 864391,864649,864650,864653,864655,864665,864671,864673,864678,864682,864769,864796,864801,864802,864804,864805,864811,864812,864814,873235,874749,874788
CVE References: CVE-2014-0150,CVE-2014-2894
Sources used:
SUSE Linux Enterprise Server 11 SP3 (src):    kvm-1.4.2-0.15.2
SUSE Linux Enterprise Desktop 11 SP3 (src):    kvm-1.4.2-0.15.2
Comment 7 Johannes Segitz 2016-02-02 14:35:30 UTC
fixed everywhere